Join a chat

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
POST /actions/user/chats/{entity_id}/join

Join the chat of an entity as a participant. If the entity has no chat yet, the chat is created. You must be in the team of the project. A client cannot use this route. A vendor must have an assigned task on the entity.

Path parameters

  • entity_id string(uuid) Required

    Unique identifier of the entity

Responses

  • 200 application/json

    The chat

    Hide response attributes Show response attributes object
    • id string(uuid)

      Chat unique identifier

    • entity_id string(uuid)

      Entity identifier

    • entity_type string

      Entity type

    • participants array[string(uuid)]

      List of participant person identifiers

    • created_at string(date-time)

      Creation timestamp

    • updated_at string(date-time)

      Last update timestamp

  • 403

    You are not in the team of the project, you are a client on this project, or you are a vendor without a task on this entity, or you use a bot token

  • 404

    The entity does not exist

POST /actions/user/chats/{entity_id}/join
curl -X POST "http://api.example.com/actions/user/chats/a24a6ea4-ce75-4665-a070-57453082c25/join" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/actions/user/chats/a24a6ea4-ce75-4665-a070-57453082c25/join"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {}
payload = None

response = requests.post(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
Response examples (200)
{
  "id": "b35b7fb5-df86-5776-b181-68564193d360",
  "entity_id": "c46c80c6-e097-6887-c292-79675204e470",
  "entity_type": "Asset",
  "participants": [
    "d57d91d7-f108-7998-d403-80786315f580"
  ],
  "created_at": "2023-01-01T12:00:00Z",
  "updated_at": "2023-01-01T12:30:00Z"
}